import 'package:flutter/material.dart';

class TextFieldWidget extends StatelessWidget {
  final double width;
  final bool focused;
  final String hintTxt;
  final keyboardtype;
  final suffixIcon;
  final Function onTab;
  final Function onChanged;
  final FocusNode focusNode;
  final TextEditingController textFieldController;
  final Color textFontColor;
  final double fontSize;
  final FontStyle fontStyle;
  final FontWeight fontWeight;

  //final IconData suffixIconData;
  //final Function onChanged;

  TextFieldWidget(
      {this.width,
      this.focused,
      this.hintTxt,
      this.keyboardtype,
      this.suffixIcon,
      this.onTab,
      this.onChanged,
      this.focusNode,
      this.textFieldController,
      this.textFontColor,
      this.fontSize,
      this.fontStyle,
      this.fontWeight});
  Widget build(BuildContext context) {
    return Container(
      width: width,
      child: TextField(
        autofocus: focused,
        keyboardType: keyboardtype,
        decoration: InputDecoration(
          hintText: hintTxt,
          hintStyle: TextStyle(
              color: textFontColor,
              fontSize: fontSize,
              fontStyle: fontStyle,
              fontWeight: fontWeight),
          suffixIcon: suffixIcon,

          /*enabledBorder: UnderlineInputBorder(
            borderRadius: BorderRadius.circular(10),
            borderSide: BorderSide(color: Colors.white),
          ),*/
        ),
        onTap: onTab,
        onChanged: onChanged,
        controller: textFieldController,
        style: TextStyle(
            color: textFontColor,
            fontSize: fontSize,
            fontStyle: fontStyle,
            fontWeight: fontWeight),

        //focusNode: focusNode,
      ),
    );
  }
}
